<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="iso-8859-1" media-type="text" omit-xml-declaration = "yes" standalone="yes" indent="no"/>
<xsl:template match="map">
<xsl:text>g_waypoint = {
    </xsl:text>
    <xsl:value-of select="name" /><xsl:text>={</xsl:text>
<xsl:for-each select="waypoint">
    <xsl:text>
        </xsl:text><xsl:value-of select="name" /><xsl:text>={x=</xsl:text>
    <xsl:value-of select="position/x" />
    <xsl:text>, z=</xsl:text>
    <xsl:value-of select="position/y" />
    <xsl:choose>
        <xsl:when test="count(level) = 1">
            <xsl:text>, level=</xsl:text><xsl:value-of select="level" />
        </xsl:when>
    </xsl:choose>
    <xsl:choose>
        <xsl:when test="count(links) = 1">
            <xsl:text>, links={</xsl:text>
            <xsl:for-each select="links/link">
            <xsl:text>"</xsl:text>
            <xsl:value-of select="." />
            <xsl:text>",</xsl:text>
            </xsl:for-each>
            <xsl:text>}</xsl:text>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
    </xsl:choose>
    <xsl:text>},</xsl:text>
</xsl:for-each>
<xsl:text>
    },
}
</xsl:text>
</xsl:template>
</xsl:stylesheet>